function plot_Calibration( hMainFig, hPlotAxes, nPlot )

% Get tsg application data
% ------------------------
tsg  = getappdata( hMainFig, 'tsg_data');

switch nPlot
  
  % ---------------------------------------------------------------------
  % Plot SSPS in black and SSPS_CAL in red
  case 1
    
    erase_Line( hPlotAxes, 1 );
    if ~isempty( tsg.SSPS )
      plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD, tsg.SSPS, [],...
                'SSPS','k','none','*',2);
    end
    
    if ~isempty( tsg.SSPS_CAL )
      plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD, tsg.SSPS_CAL, [],...
                'SSPS_CAL','r','none','o',2);
    end

  % ---------------------------------------------------------------------
  % Plot SSJT in black and SSJT_CAL in red
  case 2
    
    erase_Line( hPlotAxes, 2 );
    if ~isempty( tsg.SSJT )
      plot_Tsg( hMainFig, hPlotAxes, 2, tsg.DAYD, tsg.SSJT,[],...
                'SSJT','k','none','*',2);
    end
    
    if ~isempty( tsg.SSJT_CAL )
      plot_Tsg( hMainFig, hPlotAxes, 2, tsg.DAYD, tsg.SSJT_CAL,[],...
        'SSJT_CAL','r','none','*',2);
    end

    
  % ---------------------------------------------------------------------
  case 3
    erase_Line( hPlotAxes, 3 );
    %set( hplotAxes(3), 'Visible', 'off' );
end

axesCommonProp( hPlotAxes );

end
