function quitProgram(hMainFig, DEFAULT_PATH_FILE)
% QUITPROGRAM Exit tsgqc_GUI application
%
% Input
% -----
% hTsgGUI ............ Handel to the main user interface
%
% Output
% ------
% none

% $Id$

% close the main windows
% ----------------------
delete(hMainFig);

% reset userdata property of root Matalab object (0) for next use
% ---------------------------------------------------------------
set(0, 'userdata', []);

% reset Matlab search path to default
% -----------------------------------
rmpath( [DEFAULT_PATH_FILE filesep 'tsg_util'] );
rmpath( [DEFAULT_PATH_FILE filesep 'tsg_data'] );
rmpath( [DEFAULT_PATH_FILE filesep 'tsg_io'] );

% Refresh file system caches
% --------------------------
rehash;

end